/*
* Copyright 2004 - 2009 by dronten@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger;

/**
 * Constant definitions.
 */
public final class Constants {
    public static final boolean     DEBUG = false;
    public static final String      APPNAME = "jTagger";
    public static final String      APPVERSION = "1.0";
    public static final String      EMAIL = "dronten@gmail.com";
    public static final String      WWW = "http://dronten.googlepages.com/jtagger";
    public static final String      CODEPAGE = "codepage";
    public static final String      MESSAGE_TEST_OK = "Test run complete";
    public static final String      MESSAGE_TEST_UNDONE = "Test run undone";
    public static final String      MESSAGE_FILERENAME_OK = "File(s) was renamed";
    public static final String      MESSAGE_WRITE_OK = "Changes written to file";
    public static final String[]    OPTIONS_CAP_FILE = {"Keep Filename", "Capitalize All Words", "All Letters Uppercase", "All letters Lowercase"};
    public static final String[]    OPTIONS_CAP_TITLE = {"Keep Title", "Capitalize All Words", "All Letters Uppercase", "All Letters Lowercase"};
    public static final String[]    OPTIONS_CAP_EXT = {"Keep Extension", "All Letters Uppercase", "All Letters Lowercase"};
    public static final String[]    OPTIONS_PREFERENCE = {"General             ", "MP3"};
    public static final String      PREF_UNICODE_KEY = "unicode";
    public static final String      PREF_UNICODE_DEFAULT = "";
    public static final String      PREF_ID3V1_KEY = "id3v1";
    public static final String      PREF_ID3V1_DEFAULT = "YES";
    public static final String      PREF_ID3V2_KEY = "id3v2";
    public static final String      PREF_ID3V2_DEFAULT = "YES";
    public static final String      PREF_USEPIC_KEY = "pic";
    public static final String      PREF_USEPIC_DEFAULT = "YES";
    public static final String      PREF_STARTFROMLAST = "startfromlast";
    public static final String      PREF_STARTDIR = "startdir";
    public static final String      PREF_LASTDDIR = "path";
    public static final String      PREF_LASTDDIR_PICTURE = "pathPicture";
    public static final int         SLEEP = 0;
}
