/*
* Copyright 2004 - 2009 by dronten@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.util;

/**
 * A progress object that can use one or two progress values and 1 to many work tasks.
 */
public class Util {
    /**
     *
     * @param numString     String to convert to number
     * @param defVal        Default value to return if string can't be parsed
     * @return              The converted string or default value
     */
    static public int getNumber(String numString, int defVal) {
        int val = defVal;

        try {
            val = Integer.parseInt(numString);
        }
        catch (Exception e) {
        }

        return val;
    }
}